Bug 1793970 (CVE-2020-1710) - CVE-2020-1710 EAP: field-name is not parsed in accordance to RFC7230
Summary: CVE-2020-1710 EAP: field-name is not parsed in accordance to RFC7230
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-1710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1801941 1801942
Blocks: 1786074
TreeView+ depends on / blocked
 
Reported: 2020-01-22 12:00 UTC by msiddiqu
Modified: 2020-09-17 13:08 UTC (History)
72 users (show)

Fixed In Version: Undertow 2.0.31.Final, Undertow 2.1.4.Final
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in JBoss EAP, where it does not process the header field-name in accordance with RFC7230. Whitespace between the header field-name and colon is processed, resulting in an HTTP response code of 200 instead of a bad request of 400.
Clone Of:
Environment:
Last Closed: 2020-08-17 15:15:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3461 None None None 2020-08-17 13:28:10 UTC
Red Hat Product Errata RHSA-2020:3462 None None None 2020-08-17 13:30:25 UTC
Red Hat Product Errata RHSA-2020:3463 None None None 2020-08-17 13:33:52 UTC
Red Hat Product Errata RHSA-2020:3464 None None None 2020-08-17 13:25:53 UTC
Red Hat Product Errata RHSA-2020:3501 None None None 2020-08-18 16:34:59 UTC
Red Hat Product Errata RHSA-2020:3539 None None None 2020-09-02 09:47:37 UTC
Red Hat Product Errata RHSA-2020:3637 None None None 2020-09-07 12:56:07 UTC
Red Hat Product Errata RHSA-2020:3638 None None None 2020-09-07 13:02:11 UTC
Red Hat Product Errata RHSA-2020:3639 None None None 2020-09-07 12:59:05 UTC
Red Hat Product Errata RHSA-2020:3642 None None None 2020-09-07 13:06:22 UTC
Red Hat Product Errata RHSA-2020:3779 None None None 2020-09-17 13:08:26 UTC

Description msiddiqu 2020-01-22 12:00:51 UTC
The issue appears to be that EAP 6.4.21 does not parse the field-name in accordance to RFC7230[1] as it returns a 200 instead of a 400.

Comment 26 errata-xmlrpc 2020-08-17 13:25:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:3464 https://access.redhat.com/errata/RHSA-2020:3464

Comment 27 errata-xmlrpc 2020-08-17 13:28:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 6

Via RHSA-2020:3461 https://access.redhat.com/errata/RHSA-2020:3461

Comment 28 errata-xmlrpc 2020-08-17 13:30:20 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 7

Via RHSA-2020:3462 https://access.redhat.com/errata/RHSA-2020:3462

Comment 29 errata-xmlrpc 2020-08-17 13:33:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 8

Via RHSA-2020:3463 https://access.redhat.com/errata/RHSA-2020:3463

Comment 30 Product Security DevOps Team 2020-08-17 15:15:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1710

Comment 31 errata-xmlrpc 2020-08-18 16:34:55 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.2

Via RHSA-2020:3501 https://access.redhat.com/errata/RHSA-2020:3501

Comment 32 Chess Hazlett 2020-08-26 17:34:22 UTC
Mitigation:

There is currently no known mitigation for this issue.

Comment 33 errata-xmlrpc 2020-09-02 09:47:28 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:3539 https://access.redhat.com/errata/RHSA-2020:3539

Comment 34 errata-xmlrpc 2020-09-07 12:56:02 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:3637 https://access.redhat.com/errata/RHSA-2020:3637

Comment 35 errata-xmlrpc 2020-09-07 12:59:00 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:3639 https://access.redhat.com/errata/RHSA-2020:3639

Comment 36 errata-xmlrpc 2020-09-07 13:02:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:3638 https://access.redhat.com/errata/RHSA-2020:3638

Comment 37 errata-xmlrpc 2020-09-07 13:06:15 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:3642 https://access.redhat.com/errata/RHSA-2020:3642

Comment 39 errata-xmlrpc 2020-09-17 13:08:16 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.7

Via RHSA-2020:3779 https://access.redhat.com/errata/RHSA-2020:3779


Note You need to log in before you can comment on or make changes to this bug.